The US Vehicle Plate Decoder API provides access to a library of vehicle's data based on the vehicle's registration/license plate number and state.
The US Vehicle Plate Decoder API looks up the vehicle through the database for matches and returns the VIN, make, model and year among other attributes. It can be coupled with other APIs to become even more powerful. The state is a two letter abbreviation of one of the 50 states, or District of Columbia (DC), or Puerto Rico (PR).
API key, plate and state.This endpoint allows you to retrieve US vehicle information based on license plates and registration numbers.
keyYour CarsXE API key.
plateThe vehicle registration number or license plate number.
stateThe state is a two letter abbreviation of one of the 50 states, or District of Columbia (DC), or Puerto Rico (PR).
decodeVINIf set to true, the API will attempt to decode the VIN number and return the vehicle's information.
successIndicates whether the request was successful (e.g., true or false).
inputContains the input parameters used in the request.
plateThe license plate of the vehicle (e.g., "H37SFS").
stateThe state where the vehicle is registered (e.g., "NJ").
vinThe Vehicle Identification Number (VIN), a unique code identifying the specific vehicle (e.g., "1GNSCGKC0JR318026").
yearThe manufacturing year of the vehicle (e.g., "2018").
makeThe manufacturer of the vehicle (e.g., "Chevrolet").
modelThe specific model name of the vehicle (e.g., "Suburban").
trimThe trim level or configuration of the vehicle (e.g., "LS").
nameA brief description of the vehicle, including the year, make, and model (e.g., "2018 Chevrolet Suburban").
engineThe engine's displacement and type, indicating its size and configuration (e.g., "5.3L V8 OHV 16V").
styleA detailed description of the vehicle's body style (e.g., "SUV").
transmissionThe type of transmission system the vehicle uses, such as manual or automatic (e.g., "Automatic").
driveTypeThe drive configuration of the vehicle, such as front-wheel drive (FWD), rear-wheel drive (RWD), or all-wheel drive (AWD) (e.g., "RWD").
fuelThe type of fuel the vehicle uses (e.g., "Flexible-Fuel").
colorThe exterior color of the vehicle (e.g., "Black").
vehicle_specsContains detailed specifications of the vehicle. The full response matches that of the Vehicle Specifications API.
curl -G https://api.carsxe.com/v1/us-platedecoder \
-d key=CARSXE_API_KEY \
-d plate=H37SFS \
-d state=NJ
-d decodeVIN=true{
"success": true,
"input": {
"plate": "H37SFS",
"state": "NJ"
},
"vin": "1GNSCGKC0JR318026",
"year": "2018",
"make": "Chevrolet",
"model": "Suburban",
"trim": "LS",
"description": "2018 Chevrolet Suburban",
"engine_size": "5.3L V8 OHV 16V",
"body_style": "SUV",
"transmission": "Automatic",
"drive_type": "RWD",
"fuel_type": "Flexible-Fuel",
"color": "Black",
"vehicle_specs": {
"attributes": {
"year": "2018",
"make": "Chevrolet",
"model": "Suburban",
"trim": "LS 2WD",
"style": "SPORT UTILITY 4-DR",
"type": "",
"size": "",
"category": "",
"made_in": "UNITED STATES",
"made_in_city": "",
"doors": "",
"fuel_type": "",
"fuel_capacity": "31.00 gallon",
"city_mileage": "16 miles/gallon",
"highway_mileage": "23 miles/gallon",
"engine": "5.3L V8 OHV 16V",
"engine_size": "",
"engine_cylinders": "",
"transmission": "6-Speed Automatic",
"transmission_short": "6A",
"transmission_type": "",
"transmission_speeds": "",
"drivetrain": "RWD",
"anti_brake_system": "4-Wheel ABS",
"steering_type": "R&P",
"curb_weight": "",
"gross_vehicle_weight_rating": "",
"overall_height": "74.40 in.",
"overall_length": "224.40 in.",
"overall_width": "80.50 in.",
"wheelbase_length": "130.00 in.",
"standard_seating": "8",
"invoice_price": "$47,141 USD",
"delivery_charges": "$1,295 USD",
"manufacturer_suggested_retail_price": "$50,150 USD",
"production_seq_number": "318026",
"front_brake_type": "Disc",
"rear_brake_type": "Disc",
"turning_diameter": "",
"front_suspension": "Ind",
"rear_suspension": "Ind",
"front_spring_type": "",
"rear_spring_type": "",
"tires": "P265/65R18",
"front_headroom": "42.80 in.",
"rear_headroom": "39.10 in.",
"front_legroom": "45.30 in.",
"rear_legroom": "39.70 in.",
"front_shoulder_room": "64.80 in.",
"rear_shoulder_room": "65.10 in.",
"front_hip_room": "60.80 in.",
"rear_hip_room": "60.30 in.",
"interior_trim": [
"Cocoa/Dune, cloth",
"Jet Black, cloth"
],
"exterior_color": [
"Black",
"Blue Velvet Metallic",
"Havana Metallic",
"Iridescent Pearl Tricoat",
"Pepperdust Metallic",
"Satin Steel Metallic",
"Silver Ice Metallic",
"Siren Red Tintcoat",
"Summit White",
"Tungsten Metallic"
],
"curb_weight_manual": "",
"ground_clearance": "7.90 in.",
"track_front": "",
"track_rear": "",
"cargo_length": "",
"width_at_wheelwell": "",
"width_at_wall": "",
"depth": "",
"optional_seating": "",
"passenger_volume": "",
"cargo_volume": "",
"cargo_volume_seats_in_place": "",
"maximum_cargo_volume": "",
"standard_towing": "",
"maximum_towing": "",
"standard_payload": "",
"maximum_payload": "",
"maximum_gvwr": ""
},
"colors": [
{
"category": "Interior",
"name": "Cocoa/Dune, cloth"
},
{
"category": "Interior",
"name": "Jet Black, cloth"
},
{
"category": "Exterior",
"name": "Black"
},
{
"category": "Exterior",
"name": "Blue Velvet Metallic"
},
{
"category": "Exterior",
"name": "Havana Metallic"
},
{
"category": "Exterior",
"name": "Iridescent Pearl Tricoat"
},
{
"category": "Exterior",
"name": "Pepperdust Metallic"
},
{
"category": "Exterior",
"name": "Satin Steel Metallic"
},
{
"category": "Exterior",
"name": "Silver Ice Metallic"
},
{
"category": "Exterior",
"name": "Siren Red Tintcoat"
},
{
"category": "Exterior",
"name": "Summit White"
},
{
"category": "Exterior",
"name": "Tungsten Metallic"
}
],
"equipment": {
"4wd_awd": "N/A",
"abs_brakes": "Std.",
"adjustable_foot_pedals": "N/A",
"air_conditioning": "N/A",
"alloy_wheels": "Std.",
"am_fm_radio": "N/A",
"automatic_headlights": "N/A",
"automatic_load_leveling": "N/A",
"cargo_area_cover": "N/A",
"cargo_area_tiedowns": "N/A",
"cargo_net": "N/A",
"cassette_player": "N/A",
"cd_changer": "N/A",
"cd_player": "N/A",
"child_safety_door_locks": "Std.",
"chrome_wheels": "N/A",
"cruise_control": "Std.",
"daytime_running_lights": "N/A",
"deep_tinted_glass": "N/A",
"driver_airbag": "Std.",
"driver_multi_adjustable_power_seat": "Std.",
"dvd_player": "N/A",
"electrochromic_exterior_rearview_mirror": "N/A",
"electrochromic_interior_rearview_mirror": "N/A",
"electronic_brake_assistance": "N/A",
"electronic_parking_aid": "N/A",
"first_aid_kit": "N/A",
"fog_lights": "N/A",
"front_air_dam": "N/A",
"front_cooled_seat": "N/A",
"front_heated_seat": "N/A",
"front_power_lumbar_support": "Std.",
"front_power_memory_seat": "N/A",
"front_side_airbag": "Std.",
"front_side_airbag_with_head_protection": "N/A",
"front_split_bench_seat": "N/A",
"full_size_spare_tire": "N/A",
"genuine_wood_trim": "N/A",
"glass_rear_window_on_convertible": "N/A",
"heated_exterior_mirror": "N/A",
"heated_steering_wheel": "N/A",
"high_intensity_discharge_headlights": "N/A",
"interval_wipers": "N/A",
"keyless_entry": "N/A",
"leather_seat": "N/A",
"leather_steering_wheel": "N/A",
"limited_slip_differential": "N/A",
"load_bearing_exterior_rack": "N/A",
"locking_differential": "N/A",
"locking_pickup_truck_tailgate": "N/A",
"manual_sunroof": "N/A",
"navigation_aid": "N/A",
"passenger_airbag": "Std.",
"passenger_multi_adjustable_power_seat": "Std.",
"pickup_truck_bed_liner": "N/A",
"pickup_truck_cargo_box_light": "N/A",
"power_adjustable_exterior_mirror": "N/A",
"power_door_locks": "N/A",
"power_sliding_side_van_door": "N/A",
"power_sunroof": "N/A",
"power_trunk_lid": "N/A",
"power_windows": "Std.",
"rain_sensing_wipers": "N/A",
"rear_spoiler": "N/A",
"rear_window_defogger": "N/A",
"rear_wiper": "N/A",
"remote_ignition": "N/A",
"removable_top": "N/A",
"run_flat_tires": "N/A",
"running_boards": "N/A",
"second_row_folding_seat": "N/A",
"second_row_heated_seat": "N/A",
"second_row_multi_adjustable_power_seat": "N/A",
"second_row_removable_seat": "N/A",
"second_row_side_airbag": "N/A",
"second_row_side_airbag_with_head_protection": "N/A",
"second_row_sound_controls": "N/A",
"separate_driver_front_passenger_climate_controls": "N/A",
"side_head_curtain_airbag": "Std.",
"skid_plate": "N/A",
"sliding_rear_pickup_truck_window": "N/A",
"splash_guards": "N/A",
"steel_wheels": "N/A",
"steering_wheel_mounted_controls": "N/A",
"subwoofer": "N/A",
"tachometer": "N/A",
"telematics_system": "N/A",
"telescopic_steering_column": "N/A",
"third_row_removable_seat": "N/A",
"tilt_steering": "N/A",
"tilt_steering_column": "N/A",
"tire_pressure_monitor": "N/A",
"tow_hitch_receiver": "N/A",
"traction_control": "N/A",
"trip_computer": "N/A",
"trunk_anti_trap_device": "N/A",
"vehicle_anti_theft": "Std.",
"vehicle_stability_control_system": "N/A",
"voice_activated_telephone": "N/A",
"wind_deflector_for_convertibles": "N/A"
},
"warranties": [
{
"type": "Basic",
"miles": "36,000 mile",
"months": "36 month"
},
{
"type": "Powertrain",
"miles": "60,000 mile",
"months": "60 month"
},
{
"type": "Rust",
"months": "72 month",
"miles": "100,000 mile"
}
]
}
}